document.addEventListener("DOMContentLoaded", function () {
    const output = document.getElementById("info");
    const mainContent = document.getElementById("content");
    document.getElementById("startForm").addEventListener("submit", async function (formE) {
        formE.preventDefault();
        formData = new FormData(formE.target);
        const response = await fetch("test.php", {
            method: "POST",
            body: formData,
            credentials: "include",
            headers: {
                'X-Requested-With': 'XMLHttpRequest'
            }
        });
        const result = await response.json();
        output.innerHTML = result.msg;
        output.style.display = "block";
        if (result.questions) setTimeout(function () {
            mainContent.innerHTML = "";
            console.log(result.questions); // DEBUG
            result.questions.forEach(question => {
                mainContent.innerHTML += question.QID;
                mainContent.innerHTML += ";";
            });
        }, 300);
    });
});